{% extends '../../base.html'%} {% block main %} {% load static %}


<style>

</style>
<div class="container main-basket-container position-relative">
  {% include "../../components/quick_access.html" %}
  {% if is_empty %}
  <div class="d-flex flex-column w-100 h-fit gap-0">
    <div
      class="w-100 h-15 alert alert-danger text-center fs-6 mt-5"
      role="alert"
    >
      Nous sommes en train de développer notre site, et bien que certaines
      fonctionnalités ne soient pas encore disponibles, nous sommes
      reconnaissants de votre patience.
    </div>
    <div
      class="w-100 h-25 alert alert-warning text-center fs-3 mt-5"
      role="alert"
    >
      Votre liste de favoris est actuellement vide !
    </div>
  </div>

  {% else %}

  <div class="table-container" id="table-container">
    <div
      class="w-100 h-15 alert alert-danger text-center fs-6 mt-5"
      role="alert"
    >
      Nous sommes en train de développer notre site, et bien que certaines
      fonctionnalités ne soient pas encore disponibles, nous sommes
      reconnaissants de votre patience.
    </div>
    <div class="sort">
      <div class="select" title="trier les article par ..">
        <select
          id="type-object"
          class="form-select"
          aria-label="Default select example"
        >
          <option value="0" selected>Tout</option>
          {% for type in all_atyicle_types %}
          <option value="{{ type.id }}">{{ type.name }}</option>
          {% endfor %}
        </select>
      </div>
      <div class="search">
        <div class="input-group" title="Recharcher par le nom de l'article">
          <input
            placeholder="Recharcher ..."
            type="text"
            class="form-control pl-1"
            aria-label="Sizing example input"
            aria-describedby="inputGroup-sizing-default"
          />
          <span class="input-group-text" id="inputGroup-sizing-default">
            <i class="fa-solid fa-magnifying-glass"></i>
          </span>
        </div>
      </div>
    </div>
    <div class="carts">
      <table class="table">
        <tbody>
          {% for wish in wishes %}
          <tr id="basket-row" data-type="{{ wish.article.article_type.id }}">
            <th id="td-img">
              <a href="{% url 'one_article' wish.article.id %}">
                <img
                  {% if wish.article.main_image %}
                    src="../../../../media/{{ wish.article.main_image.url }}"
                  {% else %}
                    src="../../media/{{ wish.images.all.0.url }}"
                  {% endif %}
                  alt="article-image"
                  class="basket-article-image"
                />
              </a>
            </th>

            <td
              class="flexable-td"
              style="white-space: nowrap; font-size: 1rem"
            >
              {{ wish.get_price }} €
            </td>
            <td
              class="flexable-td"
              style="white-space: nowrap; font-size: 1rem"
            >
              {{ wish.get_total_price }} €
            </td>
            <td class="one-ligne-text" class="one-ligne-text">
              <a
                class="fa-solid fa-minus normal-link"
                href="{% url 'set_quantity_in_basket' wish.article.id 'down' %}"
              ></a>

              {{ wish.quantity }}
              <a
                class="fa-solid fa-plus normal-link"
                href="{% url 'set_quantity_in_basket' wish.article.id 'up' %}"
              ></a>
            </td>
            <td>
              <a
                class="normal-link fa-solid fa-trash"
                href="{% url 'delete_article_from_basket' wish.article.id %}"
              ></a>
            </td>
            <td><input type="checkbox" onclick="selectItem(this)" /></td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
    </div>
  </div>
  {% endif %}
  <div id="pass-commande">
    <span>Prix total : <span id="total-price">0</span> €</span>
    <a href="" class="pass-commande-btn">PASSER LA COMMANDE</a>
  </div>
</div>

<script>
  const selectAllItems = (input) => {
    if (input.checked) {
      const items = document.querySelectorAll("input[type='checkbox']");
      items.forEach((item) => {
        item.checked = true;
      });
      calculTotalPrice();
    } else {
      const items = document.querySelectorAll("input[type='checkbox']");
      items.forEach((item) => {
        item.checked = false;
      });
    }
  };
</script>

{% endblock main%}
